package com.fuzamei.service.serviceImpl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.fuzamei.constant.Roles;
import com.fuzamei.entity.User;
import com.fuzamei.mapperInterface.CarrierMapper;
import com.fuzamei.mapperInterface.ReceivingClerkMapper;
import com.fuzamei.service.CarrierService;

@Service
public class CarrierServiceImpl implements CarrierService {

	@Autowired
	private CarrierMapper carrierMapper;

	@Override
	public List<User> queryCarriers(Map<String, Object> map) {
		return carrierMapper.queryCarriers(map);
	}

}
