package com.fuzamei.service.serviceImpl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.fuzamei.constant.Roles;
import com.fuzamei.entity.Role;
import com.fuzamei.entity.User;
import com.fuzamei.mapperInterface.ReceivingClerkMapper;
import com.fuzamei.service.ReceivingClerkService;

@Service
public class ReceivingClerkServiceImpl implements  ReceivingClerkService{
	@Autowired
	private ReceivingClerkMapper receivingClerkMapper;

	
	@Override
	public List<User> queryReceivingClerk(Map<String, Object> map) {
		 return receivingClerkMapper.queryReceivingClerk(map);
	}
	
	/**
	 * 根据用户id查询角色  test
	 */
	@Override
	public String  selectRoleByUserId(int user_id) {
		
		return receivingClerkMapper.selectRoleByUserId(user_id);
	}
	
	
}
