package com.fuzamei.service.serviceImpl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.fuzamei.constant.Roles;
import com.fuzamei.entity.User;
import com.fuzamei.mapperInterface.ReceivingClerkMapper;
import com.fuzamei.mapperInterface.SupplierMapper;
import com.fuzamei.service.SupplierService;

@Service
public class SupplierServiceImpl implements  SupplierService {
	@Autowired
	private  SupplierMapper supplierMapper;
	
	@Override
	public List<User> querySupplier(Map<String, Object> map) {
		return supplierMapper.querySupplier(map);
	}

	@Override
	public List<User> queryPlannerBySupplierId(int supplierId) {//点击查看  根据供应商id   查询所有所属计划员
		return supplierMapper.queryPlannerBySupplierId(supplierId);
	}
}
